GCLOUD_DEPLOYMENT-MANAGER_DEPLOYMENTS_STOP(1)

NAME

gcloud deployment-manager deployments stop - stop a pending or running deployment update or creation

SYNOPSIS

gcloud deployment-manager deployments stop DEPLOYMENT_NAME [--async] [GLOBAL-FLAG ...]

DESCRIPTION
This command will stop a currently running or pending operation on a deployment.

POSITIONAL ARGUMENTS
DEPLOYMENT_NAME
    Deployment name.

FLAGS
--async
    Return immediately and print information about the Operation in progress rather than waiting for the Operation to complete. (default=False)

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.

EXAMPLES
To stop a running operation on a deployment, run:
    $ gcloud deployment-manager deployments stop my-deployment
To issue a stop command without waiting for the operation to complete, run:
    $ gcloud deployment-manager deployments stop my-deployment --async